summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brubeck Unhammer2015-07-14 10:23:39 +0200
committerKevin Brubeck Unhammer2015-07-14 10:23:39 +0200
commiteea2547f597805227de0e44f0d594974cb2686c6 (patch)
tree969b80dbcaa78a36daa2d7118056e7711d51ec19
downloadaur-eea2547f597805227de0e44f0d594974cb2686c6.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--Makefile.am.patch34
-rw-r--r--PKGBUILD32
-rw-r--r--configure.ac.patch19
4 files changed, 106 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b6840e979af
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = apertium-pt-gl
+ pkgdesc = Apertium language data for the Portuguese-Galician translator.
+ pkgver = 0.9.1
+ pkgrel = 2
+ url = http://apertium.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ makedepends = autoconf
+ depends = lttoolbox>=3.0
+ depends = apertium>=3.0
+ source = http://downloads.sourceforge.net/sourceforge/apertium/apertium-pt-gl-0.9.1.tar.gz
+ source = Makefile.am.patch
+ source = configure.ac.patch
+ md5sums = 3629d1967374f76d51ad58de24d65875
+ md5sums = a00fb565b4270a3864f39cadcf2c1831
+ md5sums = de1df1d4a94d1852c584b8de14207168
+
+pkgname = apertium-pt-gl
+
diff --git a/Makefile.am.patch b/Makefile.am.patch
new file mode 100644
index 00000000000..4bf675a5d81
--- /dev/null
+++ b/Makefile.am.patch
@@ -0,0 +1,34 @@
+--- ../apertium-pt-gl-0.9.1/Makefile.am 2009-03-03 20:36:19.000000000 +0100
++++ apertium-pt-gl-0.9.1/Makefile.am 2010-09-15 16:24:56.000000000 +0200
+@@ -49,7 +49,7 @@
+ apertium-validate-transfer $(BASENAME).trules-$(PREFIX1).xml
+ apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX1).xml \
+ trules-$(PREFIX1).bin
+-
++
+ trules-$(PREFIX2).bin: $(BASENAME).trules-$(PREFIX2).xml
+ apertium-validate-transfer $(BASENAME).trules-$(PREFIX2).xml
+ apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX2).xml \
+@@ -68,7 +68,7 @@
+ $(BASENAME).trules-$(PREFIX2).xml $(PREFIX1).prob $(PREFIX2).prob \
+ $(PREFIX1)-latin1.prob $(PREFIX2)-latin1.prob \
+ modes.xml
+-
++
+ apertium_pt_gldir=$(prefix)/share/apertium/apertium-$(PREFIX1)/
+ apertium_pt_modesdir=$(prefix)/share/apertium/modes/
+ apertium_pt_gl_DATA=$(PREFIX1).automorf.bin $(PREFIX2).automorf.bin \
+@@ -87,9 +87,9 @@
+
+ install-data-local:
+ apertium-gen-modes modes.xml apertium-$(PREFIX1)
+- $(INSTALL_DATA) $(PREFIX1).mode $(apertium_pt_modesdir)
+- $(INSTALL_DATA) $(PREFIX2).mode $(apertium_pt_modesdir)
+- $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX1).xml $(apertium_pt_gldir)
+- $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX2).xml $(apertium_pt_gldir)
++ $(INSTALL_DATA) $(PREFIX1).mode $(DESTDIR)$(apertium_pt_modesdir)
++ $(INSTALL_DATA) $(PREFIX2).mode $(DESTDIR)$(apertium_pt_modesdir)
++ $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX1).xml $(DESTDIR)$(apertium_pt_gldir)
++ $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX2).xml $(DESTDIR)$(apertium_pt_gldir)
+
+ CLEANFILES = -rf $(TARGETS_COMMON) modes trules-$(PREFIX1).xml trules-$(PREFIX2).xml trules-$(PREFIX1).bin trules-$(PREFIX2).bin
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..aeb67682bff
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-pt-gl
+pkgver=0.9.1
+pkgrel=2
+pkgdesc="Apertium language data for the Portuguese-Galician translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig' 'autoconf')
+depends=('lttoolbox>=3.0' 'apertium>=3.0')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/${pkgname}-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "configure.ac.patch")
+md5sums=('3629d1967374f76d51ad58de24d65875'
+ 'a00fb565b4270a3864f39cadcf2c1831'
+ 'de1df1d4a94d1852c584b8de14207168')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < configure.ac.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ autoreconf -i
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+}
diff --git a/configure.ac.patch b/configure.ac.patch
new file mode 100644
index 00000000000..29df734c405
--- /dev/null
+++ b/configure.ac.patch
@@ -0,0 +1,19 @@
+--- ../apertium-pt-gl-0.9.1/configure.ac 2009-03-03 20:36:40.000000000 +0100
++++ apertium-pt-gl-0.9.1/configure.ac 2010-09-21 16:37:31.294072111 +0200
+@@ -19,8 +19,14 @@
+ APERTIUM_VER=30
+ ],
+ [
+- PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0)
+- APERTIUM_VER=31
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0,
++ [
++ APERTIUM_VER=31
++ ],
++ [
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.2 >= 3.2.0)
++ APERTIUM_VER=32
++ ])
+ ])
+ AC_SUBST(APERTIUM_VER)
+ ])